## python-docs-theme 2025.2

=== requirements.txt ===
# for babel_runner.py
setuptools
Babel
Jinja2
tomli; python_version < "3.11"

## python-docs-theme 2018.2

=== debian/changelog ===
python-docs-theme (2018.2-2) unstable; urgency=medium

  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Jul 2019 10:15:36 +0200

python-docs-theme (2018.2-1) unstable; urgency=low

  * Initial release. Closes: #921515.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Feb 2019 13:21:02 +0100

=== debian/control ===
Source: python-docs-theme
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-setuptools,
 python3-sphinx,
Standards-Version: 4.4.0
Homepage: https://github.com/python/python-docs-theme

Package: python3-docs-theme
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: theme for the Python core documentation.
 Theme used for the Python Core and Python packaging documentation.

## python-docs-theme 2022.1

=== debian/changelog ===
python-docs-theme (2022.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Mar 2022 06:20:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python3,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/python/python-docs-theme
 
 Package: python3-docs-theme

## python-docs-theme 2023.7

=== debian/changelog ===
python-docs-theme (2023.7-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 25 Aug 2023 09:53:03 +0200

python-docs-theme (2023.5-2) unstable; urgency=medium

  * Build-depend on flit.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2023 14:22:59 +0200

python-docs-theme (2023.5-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jun 2023 09:43:33 +0200

## python-docs-theme 2024.2

=== debian/changelog ===
python-docs-theme (2024.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Mar 2024 11:16:25 +0100

python-docs-theme (2023.9-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Oct 2023 14:01:00 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  python3,
  python3-setuptools,
  python3-sphinx,
-Standards-Version: 4.6.0
+ flit,
+Standards-Version: 4.6.2
 Homepage: https://github.com/python/python-docs-theme
 
 Package: python3-docs-theme

## python-docs-theme 2024.6

=== debian/changelog ===
python-docs-theme (2024.6-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Jul 2024 09:45:16 +0200

python-docs-theme (2024.3-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on pybuild-plugin-pyproject. Closes: #1067378.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Apr 2024 17:43:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper (>= 11),
  dh-python,
+ pybuild-plugin-pyproject,
  python3,
  python3-setuptools,
  python3-sphinx,

## python-docs-theme 2024.10

=== debian/changelog ===
python-docs-theme (2024.10-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Nov 2024 11:20:37 +0100

## python-docs-theme 2024.12

=== debian/changelog ===
python-docs-theme (2024.12-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Jan 2025 15:00:19 +0100

## python-docs-theme 2025.2

=== debian/changelog ===
python-docs-theme (2025.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Feb 2025 12:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-sphinx,
  flit,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/python/python-docs-theme
 
 Package: python3-docs-theme

## python-docs-theme 2025.4.1

=== Makefile ===
# You can set these variables from the command line.
CPYTHON_PATH = ../cpython
PYTHON       = python3
PACKAGE_ABS_PATH = $(shell pwd)/$(shell find dist/python-docs-theme-*.tar.gz)


.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  venv       to create a venv with necessary tools at $(CPYTHON_PATH)/Doc/venv"
	@echo "  html       to make standalone CPython HTML files"
	@echo "  htmlview   to open the index page built by the html target in your browser"

.PHONY: venv
venv:
	$(PYTHON) -m pip install build
	$(PYTHON) -m build
	cd $(CPYTHON_PATH)/Doc \
		&& make venv \
		&& ./venv/bin/pip install $(PACKAGE_ABS_PATH)

.PHONY: html
html: venv
	cd $(CPYTHON_PATH)/Doc && \
		make html

.PHONY: htmlview
htmlview: html
	$(PYTHON) -c "import os, webbrowser; webbrowser.open('file://' + os.path.realpath('$(CPYTHON_PATH)/Doc/build/html/index.html'))"

=== debian/changelog ===
python-docs-theme (2025.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 15:05:41 +0200

## python-docs-theme 2025.9.2

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 CPYTHON_PATH = ../cpython
 PYTHON       = python3
 PACKAGE_ABS_PATH = $(shell pwd)/$(shell find dist/python-docs-theme-*.tar.gz)
+SPHINXOPTS   =
 
 
 .PHONY: help
@@ -22,7 +23,7 @@
 .PHONY: html
 html: venv
 	cd $(CPYTHON_PATH)/Doc && \
-		make html
+		make SPHINXOPTS="$(SPHINXOPTS)" html
 
 .PHONY: htmlview
 htmlview: html

=== requirements.txt ===
# for babel_runner.py
Babel
Jinja2

=== debian/changelog ===
python-docs-theme (2025.9.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 12:36:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-sphinx,
  flit,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/python/python-docs-theme
 
 Package: python3-docs-theme

=== debian/watch ===
version=3
https://github.com/python/python-docs-theme/tags .*/(\d[\d\.]+)\.tar\.gz

## python-docs-theme 2025.12

=== debian/changelog ===
python-docs-theme (2025.12-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Dec 2025 10:32:51 +0100
